Redmine - Feature #4968

REST API new features
2010-03-02 15:52 - Javier Hernandez

Status: Closed Start date: 2010-03-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Hi, i'm developing a redmine's desktop client, but i need some features in REST API.
| enumerate features that i need, at this moment, for continue with the project:
e Time tracking: Add spent-hours to issues
¢ Projects-related features
o Members in a project, for assign issues to a specific member
¢ |ssues-related features
o Get Issues' possible types
o Get Issues' possible categories
o Add notes to journals at issue's update
o Attachment files, at creation and at issue's update
Now, my application can get and create/update/delete issues/projects, but options are a little bit limited.

It is difficult to implement this?

Thanks in advance!

Related issues:

Related to Redmine - Feature #7420: Rest API for projects members Closed 2011-01-24
Related to Redmine - Feature #8171: Adding attachments through the REST API Closed 2011-04-17
Is duplicate of Redmine - Feature #296: REST API Closed

History

#1 - 2010-03-02 17:21 - Nikolay Kotlyarov

Javier Hernandez wrote:

i'm developing a redmine's desktop client, but i need some features in REST API

Could you share the client when it'll be done?:)

#2 - 2010-03-02 17:29 - Javier Hernandez
Nikolay Kotlyarov wrote:

Javier Hernandez wrote:

i'm developing a redmine's desktop client, but i need some features in REST API

Could you share the client when it'll be done?:)

Of course, in fact, the project is created in launchpad, but still without code because current version is very alpha.

http:/launchpad.net/pyredmine

#3 - 2010-03-02 17:44 - Felix Schafer
http://launchpad.net/pyredmine

- Status changed from New to Closed

- Resolution set to Duplicate

There is already a (long-ish) feature request for a REST API at #296, please post your suggestions/ideas there to keep it all in one place.

#4 - 2010-06-04 11:09 - Yohann Monnier

Test this version here

http://github.com/Yohannsmonnier/redmine

Its allow :

List members of a projet

Timelog API

Get trackers

Get all priorities

Get allowed state when editing an issue
it also Corrects generated REST XMLs

#5 - 2010-06-04 11:55 - Javier Hernandez
Hi Yohann!

| greatly appreciate your attention, i had temporaly stopped the project and now I think I'll be able to publish something functional. | hope to have a
look this weekend to your branch and make some tests with it.

Regards!

#6 - 2011-06-16 06:58 - Bevan Rudge

Yohann; What is the status of your Redmine fork on GitHub? Are you merging Redmine's changes into your fork? Have your changes been
contributed back to Redmine? Will they? Are you still contributing to the Redmine project? Thanks for the update!

Related; http://www.redmine.org/issues/7420

#7 - 2011-06-16 07:16 - Bevan Rudge

- Status changed from Closed to Reopened

| am reopening since #296 is done and dusted, but these features did not get in yet.
This is related or duplicate of #7180 and/or #7402.

It would be great to get this or one of those reviewed and committed.

#8 - 2011-06-16 07:19 - Bevan Rudge
| meant #7819, not #7402.

#9 - 2011-07-05 01:21 - Bevan Rudge
Also related: #8745

#10 - 2011-08-29 10:06 - Etienne Massip

- Assignee deleted (Eric Davis)

#11 - 2012-02-06 11:57 - Jean-Philippe Lang

- Status changed from Reopened to Closed

I'm closing this since everything in now present in the API, except for the attachments. But there's a more specific ticket for that (#8171).
